## kasts 23.08.4

=== debian/changelog ===
kasts (23.08.4-1) unstable; urgency=medium

  * New upstream release
  * Switch to VLC backend (Closes: #1057922)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 10 Dec 2023 21:28:17 +0100

kasts (23.08.3-1) unstable; urgency=low

  * New upstream release
  * Fix d/watch

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 12 Nov 2023 19:44:06 +0100

kasts (23.08.2-1) unstable; urgency=low

  * New upstream release
  * Change my email to use the debian alias
  * Move package inside the debian project on salsa, now that I'm a DD
  * Add d/watch file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 29 Oct 2023 01:15:16 +0200

kasts (23.07.90-2) unstable; urgency=low

  * Add runtime dependencies. Needed if a full plasma desktop is not already
    present.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 11 Sep 2023 10:42:31 +0200

kasts (23.07.90-1) unstable; urgency=low

  * Initial release. (Closes: #1007698)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 12 Aug 2023 20:13:13 +0200
