=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               libqt5svg5-dev,
               libkf5coreaddons-dev,
               kirigami2-dev,
               libkf5syndication-dev,
               libkf5config-dev,
               libkf5i18n-dev,
               libkf5threadweaver-dev,
               libtag1-dev,
               qt5keychain-dev,
               qtkeychain-qt5-dev,
               kirigami-addons-dev,
               libvlc-dev,
               libvlccore-dev,
               qtmultimedia5-dev,
               libkf5networkmanagerqt-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://salsa.debian.org/debian/kasts
Vcs-Git: https://salsa.debian.org/debian/kasts.git
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-org-kde-kirigami-addons-labs-components,
 qml-module-qt-labs-settings,
 qml-module-qt-labs-qmlmodels,
Recommends:
 ca-certificates,
 breeze-icon-theme,
 qml-module-org-kde-kirigami-addons-labs-mobileform,
 qml-module-qt-labs-platform,
 vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
