=== debian/watch ===
version=4

https://invent.kde.org/multimedia/kasts/-/tags archive/v.+/kasts-v@ANY_VERSION@@ARCHIVE_EXT@
