## kasts 23.08.5

=== debian/changelog ===
kasts (23.08.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:51 +1100

kasts (23.08.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:43:11 +0000

kasts (23.08.5-1ubuntu1) noble; urgency=medium

  * New upstream release. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 02:20:59 +0000
