=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kasts
 Section: kde
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
