## kasts 24.08.1

=== debian/changelog ===
kasts (24.08.1-2) experimental; urgency=low

  * Use pkgkde-getqmldepends

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 30 Sep 2024 23:41:24 +0200

kasts (24.08.1-1) experimental; urgency=low

  * New upstream release
  * Make team maintained

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Sep 2024 17:37:28 +0200

kasts (23.08.4-2) unstable; urgency=medium

  * Replace kirigami-addons-dev with kirigami-addons5-dev (Closes: #1079470)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 23 Aug 2024 23:00:37 +0200
