## kasts 24.12.0

=== debian/changelog ===
kasts (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:06:40 +0000

kasts (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:04:15 +0000

kasts (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev
  * Add kirigami-addons-dev to build depends for qmldepends detection.
  * Add debian/qmldeps.overrides for kasts.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 17:00:42 +0000

kasts (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:37:34 +0000
