## kasts 24.12.1

=== debian/changelog ===
kasts (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 17:15:08 +0100

kasts (24.12.0-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields to the current repo.
  * debian/control: Update build-dep package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 22:53:32 -0500

kasts (24.12.0-2) unstable; urgency=medium

  * Build-depend on libkf6crash-dev

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 25 Dec 2024 09:27:27 +0100

kasts (24.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Dec 2024 11:30:58 +0100

kasts (24.08.3-2) unstable; urgency=low

  * Team upload.

  [ Sandro Knauß ]
  * Fix and enable dh_qmldeps usage for QML dependecy detection (Closes:
    #1089553).

 -- Sandro Knauß <hefee@debian.org>  Sun, 08 Dec 2024 22:21:46 +0100

kasts (24.08.3-1) unstable; urgency=low

  * New upstream release
  * Disabled dh_qmldeps step for now
  * Build-depend on qt6-declarative-private-dev

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 27 Nov 2024 17:42:16 +0100
