=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               extra-cmake-modules,
               appstream,
               qt6-base-dev-tools,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               kirigami-addons-dev,
               libkf6colorscheme-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6threadweaver-dev,
               libkf6i18n-dev,
               libkirigami-dev,
               libkf6syndication-dev,
               libkf6config-dev,
               libkf6breezeicons-dev,
               libtag-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kasts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kasts.git
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 breeze-icon-theme,
 vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
