## kasts 24.12.2

=== debian/changelog ===
kasts (24.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 27 Feb 2025 17:32:50 +0100
