=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,29 +3,26 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 add_subdirectory(kmediasession)
-if (NOT QT_MAJOR_VERSION EQUAL "6")
-add_subdirectory(solidextras)
-endif()
-
-set(kasts_srcs
+
+add_executable(kasts
     main.cpp
     fetcher.cpp
     database.cpp
     entry.cpp
     feed.cpp
-    author.cpp
     enclosure.cpp
     chapter.cpp
     datamanager.cpp
     audiomanager.cpp
     error.cpp
-    enclosuredownloadjob.cpp
-    storagemanager.cpp
-    storagemovejob.cpp
-    updatefeedjob.cpp
-    fetchfeedsjob.cpp
-    systrayicon.cpp
-    networkconnectionmanager.cpp
+    utils/enclosuredownloadjob.cpp
+    utils/storagemanager.cpp
+    utils/storagemovejob.cpp
+    utils/updatefeedjob.cpp
+    utils/fetchfeedsjob.cpp
+    utils/systrayicon.cpp
+    utils/networkconnectionmanager.cpp
+    utils/colorschemer.cpp
     models/abstractepisodemodel.cpp
     models/abstractepisodeproxymodel.cpp
     models/chaptermodel.cpp
@@ -54,87 +51,163 @@
     sync/gpodder/uploadsubscriptionrequest.cpp
     sync/gpodder/episodeactionrequest.cpp
     sync/gpodder/uploadepisodeactionrequest.cpp
-    resources.qrc
-)
-
-ecm_qt_declare_logging_category(kasts_srcs
+)
+
+# define custom resource paths
+set_source_files_properties(../kasts.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/kasts.svg
+)
+set_source_files_properties(../icons/media-playback-cloud.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/media-playback-cloud.svg
+)
+set_source_files_properties(../icons/kasts-tray-light.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/kasts-tray-light.svg
+)
+set_source_files_properties(../icons/kasts-tray-dark.svg PROPERTIES
+    QT_RESOURCE_ALIAS icons/kasts-tray-dark.svg
+)
+
+# add icons needed by c++
+qt_add_resources(kasts "icons"
+    FILES
+        ../kasts.svg
+        ../icons/media-playback-cloud.svg
+        ../icons/kasts-tray-light.svg
+        ../icons/kasts-tray-dark.svg
+)
+
+qt_policy(SET QTP0001 NEW)
+qt_add_qml_module(kasts URI org.kde.kasts
+    QML_FILES
+        qml/Main.qml
+        qml/FeedListPage.qml
+        qml/EntryPage.qml
+        qml/Settings/AboutPage.qml
+        qml/FeedDetailsPage.qml
+        qml/AddFeedSheet.qml
+        qml/FeedListDelegate.qml
+        qml/Mobile/MinimizedPlayerControls.qml
+        qml/Mobile/MobilePlayerControls.qml
+        qml/VolumeSlider.qml
+        qml/Mobile/FooterBar.qml
+        qml/Mobile/BottomToolbar.qml
+        qml/QueuePage.qml
+        qml/EpisodeListPage.qml
+        qml/DownloadListPage.qml
+        qml/ErrorList.qml
+        qml/ErrorListOverlay.qml
+        qml/GenericHeader.qml
+        qml/GenericEntryDelegate.qml
+        qml/GenericEntryListView.qml
+        qml/DiscoverPage.qml
+        qml/ImageWithFallback.qml
+        qml/UpdateNotification.qml
+        qml/KastsGlobalDrawer.qml
+        qml/Desktop/HeaderBar.qml
+        qml/Desktop/DesktopPlayerControls.qml
+        qml/PlaybackRateMenu.qml
+        qml/PlaybackRateCustomizerDialog.qml
+        qml/ErrorNotification.qml
+        qml/ConnectionCheckAction.qml
+        qml/ChapterListDelegate.qml
+        qml/SyncPasswordOverlay.qml
+        qml/Settings/SettingsPage.qml
+        qml/Settings/GeneralSettingsPage.qml
+        qml/Settings/AppearanceSettingsPage.qml
+        qml/Settings/StorageDirDialog.qml
+        qml/Settings/NetworkSettingsPage.qml
+        qml/Settings/StorageSettingsPage.qml
+        qml/Settings/SynchronizationSettingsPage.qml
+        qml/Settings/ErrorListPage.qml
+        qml/SleepTimerDialog.qml
+        qml/FullScreenImage.qml
+        qml/GlobalSearchField.qml
+        qml/SearchBar.qml
+        qml/FilterInlineMessage.qml
+        qml/ChapterSlider.qml
+    RESOURCES
+        ../icons/media-playback-cloud.svg
+        ../kasts.svg
+)
+
+ecm_qt_declare_logging_category(kasts
     HEADER "audiologging.h"
     IDENTIFIER "kastsAudio"
     CATEGORY_NAME "org.kde.kasts.audio"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "datamanagerlogging.h"
     IDENTIFIER "kastsDataManager"
     CATEGORY_NAME "org.kde.kasts.datamanager"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "enclosurelogging.h"
     IDENTIFIER "kastsEnclosure"
     CATEGORY_NAME "org.kde.kasts.enclosure"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "entrylogging.h"
     IDENTIFIER "kastsEntry"
     CATEGORY_NAME "org.kde.kasts.entry"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "feedlogging.h"
     IDENTIFIER "kastsFeed"
     CATEGORY_NAME "org.kde.kasts.feed"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "fetcherlogging.h"
     IDENTIFIER "kastsFetcher"
     CATEGORY_NAME "org.kde.kasts.fetcher"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "synclogging.h"
     IDENTIFIER "kastsSync"
     CATEGORY_NAME "org.kde.kasts.sync"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "models/downloadmodellogging.h"
     IDENTIFIER "kastsDownloadModel"
     CATEGORY_NAME "org.kde.kasts.downloadmodel"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "models/queuemodellogging.h"
     IDENTIFIER "kastsQueueModel"
     CATEGORY_NAME "org.kde.kasts.queuemodel"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "storagemanagerlogging.h"
     IDENTIFIER "kastsStorageManager"
     CATEGORY_NAME "org.kde.kasts.storagemanager"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "storagemovejoblogging.h"
     IDENTIFIER "kastsStorageMoveJob"
     CATEGORY_NAME "org.kde.kasts.storagemovejob"
     DEFAULT_SEVERITY Info
 )
 
-ecm_qt_declare_logging_category(kasts_srcs
+ecm_qt_declare_logging_category(kasts
     HEADER "networkconnectionmanagerlogging.h"
     IDENTIFIER "kastsNetworkConnectionManager"
     CATEGORY_NAME "org.kde.kasts.networkconnectionmanager"
@@ -142,19 +215,10 @@
 )
 
 if(ANDROID)
-    list(APPEND kasts_srcs
-         androidlogging.h)
+    target_sources(kasts PRIVATE utils/androidlogging.h)
 endif()
 
-if(KASTS_FLATPAK)
-    list(APPEND kasts_srcs
-         resources-flatpak.qrc)
-else()
-    list(APPEND kasts_srcs
-         resources-non-flatpak.qrc)
-endif()
-
-set(kasts_ICONS_PNG
+ecm_add_app_icon(kasts ICONS ${kasts_ICONS_PNG}
     ../icons/16-apps-kasts.png
     ../icons/24-apps-kasts.png
     ../icons/32-apps-kasts.png
@@ -163,25 +227,17 @@
     ../icons/128-apps-kasts.png
 )
 
-# add icons to application sources, to have them bundled
-ecm_add_app_icon(kasts_srcs ICONS ${kasts_ICONS_PNG})
-
-add_executable(kasts ${kasts_srcs})
-
 kconfig_add_kcfg_files(kasts settingsmanager.kcfgc GENERATE_MOC)
 
-target_include_directories(kasts PRIVATE ${CMAKE_BINARY_DIR})
-target_link_libraries(kasts PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql Qt::Svg Qt::Xml KF${KF_MAJOR_VERSION}::Kirigami2 KF${KF_MAJOR_VERSION}::Syndication KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::ConfigGui KF${KF_MAJOR_VERSION}::I18n Taglib::Taglib ${QTKEYCHAIN_LIBRARIES} KF${KF_MAJOR_VERSION}::ThreadWeaver KMediaSession)
-
-if (QT_MAJOR_VERSION EQUAL "6")
-target_link_libraries(kasts PRIVATE Qt6::Network)
-else ()
-target_link_libraries(kasts PRIVATE KastsSolidExtras)
-endif()
-
-if(KASTS_FLATPAK)
-    target_compile_definitions(kasts PUBLIC KASTS_FLATPAK)
-endif()
+target_include_directories(kasts PRIVATE ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/models ${CMAKE_CURRENT_SOURCE_DIR}/utils ${CMAKE_CURRENT_SOURCE_DIR}/sync)
+target_link_libraries(kasts PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql Qt::Svg Qt::Xml Qt::Network KF6::Kirigami KF6::Syndication KF6::CoreAddons KF6::ConfigGui KF6::I18n Taglib::Taglib ${QTKEYCHAIN_LIBRARIES} KF6::ThreadWeaver KF6::ColorScheme KMediaSession)
+
+if(TARGET KF6::BreezeIcons)
+    target_link_libraries(kasts PRIVATE
+            KF6::BreezeIcons
+    )
+    target_compile_definitions(kasts PRIVATE WITH_BREEZEICONS_LIB)
+endif ()
 
 if(ANDROID)
     target_link_libraries(kasts PRIVATE
@@ -232,6 +288,7 @@
         view-media-playlist
         source-playlist
         arrow-down
+        arrow-up
         go-next
         overflow-menu
         checkbox
@@ -240,7 +297,8 @@
         kt-add-feeds
         state-sync
         network-connect
-        drive-harddisk-symbolic
+        drive-harddisk
+        preferences-desktop-theme-global
         dialog-ok
         dialog-cancel
         computer
@@ -269,8 +327,9 @@
         view-sort-descending-name
         view-sort-ascending-name
     )
+    ecm_add_android_apk(kasts ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
 else()
-    target_link_libraries(kasts PRIVATE Qt::Widgets)
+    target_link_libraries(kasts PRIVATE Qt::Widgets KF6::Crash)
 endif()
 
 install(TARGETS kasts ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
