=== debian/control ===
Source: kasts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake,
               extra-cmake-modules,
               kirigami-addons-dev,
               libkf6breezeicons-dev,
               libkf6colorscheme-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6i18n-dev,
               libkf6syndication-dev,
               libkf6threadweaver-dev,
               libkirigami-dev,
               libtag-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qtkeychain-qt6-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/kasts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kasts
Rules-Requires-Root: no

Package: kasts
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kf6-breeze-icon-theme, ca-certificates, vlc-plugin-base,
Description: Kirigami-based podcast player
 Kasts is a convergent podcast application.
 It allows discovering via an online directory
 to find podcasts, and then downloads and plays.
 .
 The GUI uses Kirigami, so it works on mobile and desktop.
