## kasts 25.04.2

=== debian/changelog ===
kasts (25.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.1).
    - Anchor header depending on qt version. (kde#503154)
  * New upstream release (25.04.2).
    - Translation fixes.
  * Add missing runtime dependency on qml6-module-org-kde-
    kirigamiaddons-settings. (Closes: #1107566)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:28:35 +0200

kasts (25.04.0-3) unstable; urgency=medium

  * Remove qml search override (Closes: #1104727)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 08 May 2025 22:11:33 +0200

kasts (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake. (Closes: #1103716)
  * Refresh patches.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Apr 2025 00:28:39 +0200

kasts (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 09:24:40 +0200
